GET api/PBI_role/role/{roleId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
roleId

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

PBI_RoleViewModel
NameDescriptionTypeAdditional information
active

boolean

None.

code

string

Required

customer_ID

globally unique identifier

None.

customerName

string

None.

id

globally unique identifier

None.

names

Dictionary of string [key] and string [value]

Required

permissions

Collection of PBI_PermissionsViewModel

Required

site_ID

globally unique identifier

Required

siteName

string

None.

Response Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": "sample string 2",
  "customer_ID": "6cb36dc3-c55a-4a94-832c-872d7a620071",
  "customerName": "sample string 4",
  "id": "7ed671f1-5941-4782-892c-9d753c982ba4",
  "names": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "permissions": [
    {
      "id": "63c79c29-65a0-4cd8-abd0-f618bac6a75c",
      "active": true,
      "foreign_ID": "44972382-078f-4e0e-828c-c524820b5973",
      "foreign_Label": "sample string 3",
      "type": 1
    },
    {
      "id": "63c79c29-65a0-4cd8-abd0-f618bac6a75c",
      "active": true,
      "foreign_ID": "44972382-078f-4e0e-828c-c524820b5973",
      "foreign_Label": "sample string 3",
      "type": 1
    }
  ],
  "site_ID": "b69a9437-c388-4066-b80b-b5fa2442b26e",
  "siteName": "sample string 8"
}

application/xml, text/xml

Sample:
<PBI_RoleViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>sample string 2</code>
  <customerName>sample string 4</customerName>
  <customer_ID>6cb36dc3-c55a-4a94-832c-872d7a620071</customer_ID>
  <id>7ed671f1-5941-4782-892c-9d753c982ba4</id>
  <names xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 1</d2p1:Key>
      <d2p1:Value>sample string 2</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 3</d2p1:Key>
      <d2p1:Value>sample string 4</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
  </names>
  <permissions>
    <PBI_PermissionsViewModel>
      <Active>true</Active>
      <Foreign_ID>44972382-078f-4e0e-828c-c524820b5973</Foreign_ID>
      <Foreign_Label>sample string 3</Foreign_Label>
      <ID>63c79c29-65a0-4cd8-abd0-f618bac6a75c</ID>
      <type>SiteCustomer</type>
    </PBI_PermissionsViewModel>
    <PBI_PermissionsViewModel>
      <Active>true</Active>
      <Foreign_ID>44972382-078f-4e0e-828c-c524820b5973</Foreign_ID>
      <Foreign_Label>sample string 3</Foreign_Label>
      <ID>63c79c29-65a0-4cd8-abd0-f618bac6a75c</ID>
      <type>SiteCustomer</type>
    </PBI_PermissionsViewModel>
  </permissions>
  <siteName>sample string 8</siteName>
  <site_ID>b69a9437-c388-4066-b80b-b5fa2442b26e</site_ID>
</PBI_RoleViewModel>